#!/bin/bash

# 检查是否提供了足够的参数
if [ $# -lt 2 ]; then
    echo "Usage: $0 <arg1> <arg2> ..."
    exit 1
fi

# 获取程序名称和参数
program="$1"
build="$2"
shift

# 运行程序
gcc -I./include -L./lib -lisec -lmosquitto "$program" -o "$build";
